Subject: bug#34177: smtpmail.el aborts on transient errors

From: Brian Sniffen <[email-masked]>
Date: Mon, 16 Sep 2019 19:17:24 -0400

Oh!  I did write back a little while ago. Let me try now from a different address. It seemed to reduce the problem greatly.  Thank you! At a limit of 20 requests, it was gone. Can this be a customizable constant?

-- 
Brian Sniffen

> On Sep 16, 2019, at 5:49 PM, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
>> It's a bit difficult to test, though.  Does the following patch work for
>> you?
> 
> I got no response, but I've tried to "manually" step through it, and the
> patch seems to do its thing.  It's not asynchronous, though, but it
> shouldn't make things worse for the normal case, and rewriting smtpmail
> to be asynchronous is a major task.
> 
> So I applied the patch to Emacs 27.
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no
>